For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Payments
          • Stored Instruments (Beta)
        • Methods
          • V3
              • GETList Accepted Payment Methods
          • V2
          • Transactions (Beta)
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminPaymentsMethodsV3

List Accepted Payment Methods

GET
https://api.bigcommerce.com/stores/:store_hash/v3/payments/methods
GET
/stores/:store_hash/v3/payments/methods
$curl https://api.bigcommerce.com/stores/store_hash/v3/payments/methods \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
1{
2 "data": [
3 {
4 "id": "bigcommerce.gift_certificate",
5 "name": "Gift Certificate",
6 "supported_instruments": [],
7 "test_mode": false,
8 "type": "gift_certificate",
9 "stored_instruments": []
10 },
11 {
12 "id": "bigcommerce.store_credit",
13 "name": "Store Credit",
14 "supported_instruments": [],
15 "test_mode": false,
16 "type": "store_credit",
17 "stored_instruments": []
18 },
19 {
20 "id": "stripe.card",
21 "name": "Stripe",
22 "supported_instruments": [
23 {
24 "instrument_type": "VISA",
25 "verification_value_required": true
26 },
27 {
28 "instrument_type": "MASTERCARD",
29 "verification_value_required": true
30 },
31 {
32 "instrument_type": "AMEX",
33 "verification_value_required": true
34 },
35 {
36 "instrument_type": "DISCOVER",
37 "verification_value_required": true
38 },
39 {
40 "instrument_type": "JCB",
41 "verification_value_required": true
42 },
43 {
44 "instrument_type": "DINERS_CLUB",
45 "verification_value_required": true
46 },
47 {
48 "instrument_type": "STORED_CARD",
49 "verification_value_required": true
50 }
51 ],
52 "test_mode": true,
53 "type": "card",
54 "stored_instruments": [
55 {
56 "brand": "VISA",
57 "expiry_month": 9,
58 "expiry_year": 2020,
59 "issuer_identification_number": "424242",
60 "last_4": "4242",
61 "token": "050a1e5c982e5905288ec5ec33f292772762033a0704f46fccb16bf1940b51ef",
62 "is_default": true,
63 "type": "stored_card"
64 }
65 ]
66 }
67 ],
68 "meta": {}
69}
Returns a list of accepted payment methods based on the `order_id` or `checkout_id`. **Notes** * Use the [Create an Order](/developer/api-reference/rest/admin/management/orders/create-order) endpoint to generate the `order_id`. * Orders created will be set to incomplete order status. * The cart ID and checkout ID are the same. **Required Fields** * `order_id` or `checkout_id`
Was this page helpful?
Previous

Payment Methods V3

Next

Payment Methods V2

Built with

Returns a list of accepted payment methods based on the order_id or checkout_id.

Notes

  • Use the Create an Order endpoint to generate the order_id.
  • Orders created will be set to incomplete order status.
  • The cart ID and checkout ID are the same.

Required Fields

  • order_id or checkout_id

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Create Payments | create | `store_payments_access_token_create` | | Get Payment Methods | read-only | `store_payments_methods_read` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

order_idintegerOptional
The ID of the subject order.
checkout_idstringOptional

The ID of the subject checkout; identical to the cart ID.

Response

datalist of objects
metaobject
Response metadata.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Create Paymentscreatestore_payments_access_token_create
Get Payment Methodsread-onlystore_payments_methods_read

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.